#ifndef SOCREGSVIEWER_H
#define SOCREGSVIEWER_H

#include <QWidget>
#include <QtWidgets>
#include "peripheralwidget.h"

#if defined(SOCEXPLORER_SDK_BUILD)
#  define SOCEXPLORER_SDK_EXPORT Q_DECL_EXPORT
#else
#  define SOCEXPLORER_SDK_EXPORT Q_DECL_IMPORT
#endif

class SOCEXPLORER_SDK_EXPORT socRegsViewer : public QScrollArea
{
    Q_OBJECT
public:
    explicit socRegsViewer(const QString& name,QWidget *parent = 0);
    peripheralWidget* peripheral(int index);

signals:

public slots:
    void addPeripheral(peripheralWidget* peripheral);
    void periphClicked(peripheralWidget* sender);
    void periphUp(peripheralWidget* sender,int cursorIndex);
    void periphDown(peripheralWidget* sender,int cursorIndex);
private:
    QWidget* p_scrollAreaWdgt;
    QString p_name;
    QGridLayout* p_layout,*p_scrollAreaWdgtLayout;
    QLabel* p_nameLabel;
    QList<peripheralWidget*> p_peripherals;
};

#endif // SOCREGSVIEWER_H
